---
---

# 0.1.5

Released on March 08, 2024

## 🚀 New features
- [Notifications Center](https://community.openpanel.co/d/13-introducing-notifications-center)
- Administrators can now [customize the generated Domain Access Logs reports](https://community.openpanel.co/d/6-issues-with-domain-access-logs)
- [Custom nameservers can now be added](/docs/admin/scripts/openpanel_config#nameservers) and will automatically be used in the dns zone template for new domains
- Administrators can now [set custom how-to articles](/docs/admin/scripts/openpanel_config#how_to_guides) to be displayed in user dashboard
- Docker images now support all PHP verisons from 5.6 to 8.3
- Administrators can now change the default `/openpanel` proxy to anything they want using the: [openpanel_proxy](/docs/admin/scripts/openpanel_config#openpanel_proxy) setting
- [opencli admin list](https://dev.openpanel.co/cli/commands.html#List-Admin-users), [opencli admin notifications](https://dev.openpanel.co/cli/commands.html#Notifications), [opencli user-redis](https://dev.openpanel.co/cli/commands.html#REDIS), [opencli user-memcached](https://dev.openpanel.co/cli/commands.html#Memcached), [opencli backup-config](https://dev.openpanel.co/cli/commands.html#Config), [opencli backup-destination](https://dev.openpanel.co/cli/commands.html#Destination), [opencli backup-logs](https://dev.openpanel.co/cli/commands.html#Logs), [opencli backup-job](https://dev.openpanel.co/cli/commands.html#Backup-Jobs)
- [OpenAdminAPI](https://dev.openpanel.co/api/)! 🎉
- Implemented support for previewing .webp and .avif files in File Manager.
- Added code syntax highlight for [Nginx/Apache Configuration Editor](/docs/panel/advanced/server_settings/#nginx--apache-settings) and [PHP.INI Editor](/docs/panel/advanced/server_settings/#phpini-editor)
- Added support for [running custom scripts after OpenPanel update process](https://dev.openpanel.co/customize.html#After-update).

## 💥 Breaking changes
- Storage driver [devicemapper is replaced with overlay2](https://community.openpanel.co/d/8-switching-docker-storage-engine-from-devicemapper-to-overlay2-storage) as the default storage driver for Docker
- PHP 7.4 is removed as the pre-installed verison in docker containers, PHP 8.3 is now the only version that is pre-installed.
- New users will have REDIS 7.2 instead of 6.3
- Usernames must consist of a minimum of 3 characters and a maximum of 20 characters, only numbers and letters are allowed.
- Remote Backups with SSH key-based authentication
- `opencli server_info` command is renamed to `opencli report`: [Generate system information reports #43](https://github.com/stefanpejcic/openpanel/issues/43)


## 🐛 Bug fixes
- Fixed [bug with error `Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (13)` when running mysql commands on terminal](https://community.openpanel.co/d/18-cant-connect-to-local-mysql-server-through-socket-varrunmysqldmysqldsock-13).
- Fixed [bug with bind9 configuration](https://community.openpanel.co/d/5-dns-server-does-not-respond-to-request-for-domain-zone) that caused the DNS server not to respond to request for domain zone
- Fixed bug in [opencli config update](/docs/admin/scripts/openpanel_config#update) not restarting the service for major system changes
- Fixed bug with bind9 service restart instead of reload when adding new domains
- Fixed bug with 500 error on dashboard page if invalid JSON data in knowledge_base_articles.json
- Fixed bug 'create command denied for user' when creating tables in phpMyAdmin
- Fixed bug 'unexpected 'static' (T_STATIC)' in phpMyAdmin minimum required php version
- Fixed bug in dashboard page with wrong color indicators for current CPU and RAM usage
- Fixed 500 error in 'Resource Usage History' page caused by the % symbol in localization strings
- Fixed 404 error for 'Domain Logs' page link in the search results
- Fixed bug with free memory usage not being returned from containers back to the host server
- Fixed bug with container private ip address showing in domain logs
- Added support for allow/deny port ranges in `OpenAdmin > Firewall Settings`

## 💅 Polish
- [German translation](https://github.com/stefanpejcic/openpanel-translations/tree/main/de-de) contributed by [dabonzo](https://github.com/dabonzo)
- The new template is now fully localized and [can be translated to any language](https://github.com/stefanpejcic/openpanel-translations)
- REDIS, Memcached and Elasticsearch are now not preinstalled, but can be installed by the user with a single click.
- Account Activity now highlights actions performed by the Administrator user.
- `panel` and `admin` services now support reload command.
- KEYPHRASES are now disabled in generated html reports from domain logs.
- Search results in FileManager now prioritize Files and Folders.
- Quick start guide added to OpenAdmin dashboard.
