---
sidebar_position: 3
---

# DNS

DNS Zone Editor allows you to manage and edit Domain Name System (DNS) zone files, which contain critical information for mapping domain names to IP addresses and managing various DNS records, such as A, CNAME, MX, and TXT records.

On the main _DNS Zone Editor_ page you can select a domain name for which to view and edit records.

![domain_dns_editor_1.png](/img/panel/v1/domains/domain_dns_editor_1.png)

## Edit record

To modify an existing record, click on the 'Edit' button next to it. This action will render the row editable, allowing you to save changes by clicking the 'Save' button or discard changes by selecting the 'Cancel' button.

![domain_dns_editor_2.png](/img/panel/v1/domains/domain_dns_editor_2.png)

## Create record

To create a new DNS record click on the 'Add Record' button.

This action will present a new row at the top of the table where you can input the record. On mobile devices, the 'Add' button triggers a modal instead.

![domain_dns_editor_3.png](/img/panel/v1/domains/domain_dns_editor_3.png)

Supported DNS types: `A`, `AAAA`, `CAA`, `CNAME`, `MX`, `SRV`, `TXT`, 

## Delete record

To remove an existing DNS record, click on the delete button next to it. This action will alter the button text to 'Confirm,' and upon a second click, it will proceed to permanently delete the record.

![domain_dns_editor_4.png](/img/panel/v1/domains/domain_dns_editor_4.png)
