| Hook                                       | Method           | Description                         |
| ------------------------------------------ | ---------------- | ----------------------------------- |
| [useRegister][use-register]                | `register`       | Register a new user.                |
| [useLogin][use-login]                      | `login`          | Authenticate and log in a user.     |
| [useIsAuthenticated][use-is-authenticated] | `checkAuth`      | Check if the user is authenticated. |
| [useLogout][use-logout]                    | `logout`         | Log out the current user.           |
| [useOnError][use-on-error]                 | `handleError`    | Handle authentication errors.       |
| [useGetIdentity][use-get-identity]         | `getIdentity`    | Retrieve the identity of the user.  |
| [useUpdatePassword][use-update-password]   | `updatePassword` | Update the user's password.         |
| [useForgotPassword][use-forgot-password]   | `forgotPassword` | Initiate a password reset process.  |
| [usePermissions][use-permissions]          | `getPermissions` | Get the permissions of the user.    |

[use-login]: /docs/authentication/hooks/use-login/
[use-logout]: /docs/authentication/hooks/use-logout/
[use-is-authenticated]: /docs/authentication/hooks/use-is-authenticated/
[use-on-error]: /docs/authentication/hooks/use-on-error/
[use-get-identity]: /docs/authentication/hooks/use-get-identity/
[use-permissions]: /docs/authentication/hooks/use-permissions/
[use-register]: /docs/authentication/hooks/use-register/
[use-forgot-password]: /docs/authentication/hooks/use-forgot-password/
[use-update-password]: /docs/authentication/hooks/use-update-password/
