<div align="center" style="margin: 30px;">
    <a href="https://refine.dev">
    <img alt="refine logo" src="https://refine.ams3.cdn.digitaloceanspaces.com/readme/refine-readme-banner.png">
    </a>
</div>
<br/>
<div align="center">refine is an open-source, headless React framework for developers building enterprise web applications.

It eliminates repetitive tasks in CRUD operations and provides industry-standard solutions for critical project components like **authentication**, **access control**, **routing**, **networking**, **state management**, and **i18n**.

</div>
<br/>

<div align="center">
  <sub>Created by <a href="https://refine.dev">refine</a></sub><br />
  <sub>CLI is forked from <a href="https://github.com/vercel/next.js/tree/canary/packages/next-codemod">next-codemod</a></sub>
</div>

## About Refine

[**refine**](https://refine.dev/) offers lots of out-of-the box functionality for rapid development, without compromising extreme customizability. Use-cases include, but are not limited to _admin panels_, _B2B applications_ and _dashboards_.

## About This Tool

This is a code migration tool for refine to handle breaking changes that emerge between major versions. It makes it seamless to upgrade your project between breaking changes. It parses your project's code and transforms it automatically so you don't have to.

## How to use

To see available options, run:

```sh
npx @refinedev/codemod --help
```

## General usage

In terminal, get inside your project root folder with `cd` and initialize `refine-codemod`:

```sh
npx @refinedev/codemod
```
